
version: '3.6'

services:

  broker-hub:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-broker-hub:26.4.0
    ports:
      - 31113:31113
    environment:
      ARMS_BASE_ADDR: http://www.313.co.kr
      SPRING_PROFILES_ACTIVE: stg # 여기에 원하는 프로파일을 설정
      TZ: Asia/Seoul
    volumes:
      - /nfs/allinone/app/broker-hub:/mnt
    extra_hosts:
      - "313.co.kr:192.168.25.101"
      - "db.313.co.kr:192.168.25.40"
      - "nas.313.co.kr:192.168.25.42"
      - "ubuntu.313.co.kr:192.168.25.101"
      - "www.313.co.kr:192.168.25.101"
      - "www.a-rms.net:192.168.25.101"
      - "a-rms.net:192.168.25.101"
    deploy:
      mode: replicated
      replicas: 1
      placement:
        constraints: [node.hostname == swarm1]
    networks:
      - allinoneNetwork
    logging:
      driver: fluentd
      options:
        fluentd-address: 192.168.25.102:24224
        fluentd-retry-wait: "1s"
        fluentd-max-retries: "30"
        tag: brokerhub

networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
